# Uses of Interface
java.lang.classfile.TypeAnnotation.FormalParameterTarget

Packages that use TypeAnnotation.FormalParameterTarget
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of TypeAnnotation.FormalParameterTarget in java.lang.classfile

Methods in java.lang.classfile that return TypeAnnotation.FormalParameterTarget
Modifier and Type
Method
Description
`static TypeAnnotation.FormalParameterTarget`
TypeAnnotation.TargetInfo.`ofMethodFormalParameter(int formalParameterIndex)`
Returns a target for annotations on the type in a formal parameter declaration of a method, constructor, or lambda expression.